Bug 1250189 - glusterfs dead when user creates a rdma volume
glusterfs dead when user creates a rdma volume
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rdma (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity high
: ---
: RHGS 3.1.3
Assigned To: Mohammed Rafi KC
Byreddy
: ZStream
Depends On:
Blocks: 1250297 1254430 1299184
  Show dependency treegraph
 
Reported: 2015-08-04 13:05 EDT by RamaKasturi
Modified: 2016-06-29 10:04 EDT (History)
10 users (show)

See Also:
Fixed In Version: glusterfs-3.7.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1250297 (view as bug list)
Environment:
Last Closed: 2016-06-29 10:04:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RamaKasturi 2015-08-04 13:05:34 EDT
Description of problem:
When user creates a RDMA volume and starts it, glusterfs crashes.

Version-Release number of selected component (if applicable):
glusterfs-3.7.1-11.el7rhgs.x86_64

How reproducible:
Always

Steps to Reproduce:
1. create a RDMA volume and start it.

Actual results:
glusterfs crashes when rdma volume is created and started

Expected results:
glusterfs should not crash.

Additional info:
Comment 5 Mohammed Rafi KC 2015-08-05 03:00:54 EDT
It is a race scenario where a device creation is failed and before properly cleaning up the failure, anoter operation started to act on it. 

upstream patch : http://review.gluster.org/11829
Comment 6 SATHEESARAN 2015-08-05 03:02:17 EDT
(In reply to Mohammed Rafi KC from comment #5)
> It is a race scenario where a device creation is failed and before properly
> cleaning up the failure, anoter operation started to act on it. 
> 
> upstream patch : http://review.gluster.org/11829

Rafi,

Thanks for that info
Comment 8 Mike McCune 2016-03-28 19:28:22 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 9 Atin Mukherjee 2016-05-02 03:22:18 EDT
As part of rebasing this fix has been already made into the first build of rhgs-3.1. Moving the bug on ON_QA.
Comment 10 Byreddy 2016-05-31 06:49:05 EDT
Verified this bug using the build "glusterfs-3.7.9-6.". No more seeing the issue reported.

See the next comment for the steps  done to verify this bug.

Moving bug to verified state.

Note You need to log in before you can comment on or make changes to this bug.